# 簡易ビューアのテスト
#
# 簡易ビューアを列挙したメニューを表示します。

import PictureFan as PF

app = PF.Application()

menu = PF.PopupMenu()
menu.add("active", "Active viewer")
menu.add("sep", "")

# ウィンドウの列挙
viewer_count = app.viewer_count
for i in range(viewer_count):
    menu.add(str(i), "Viewer " + str(i))

result = menu.show()
if result == "active":
    viewer = app.get_active_viewer()
elif result != "":
    viewer = app.get_viewer(int(result))
else:
    viewer = None

if viewer is not None:
    app.alert("Selected viewer is : " + viewer.title)
